<!--<p>Friend's information:
  name ={{ friend.name }},
  email = {{ friend.email }},
  age = {{ friend.age }}
</p>

<p>{{ friend | json}}</p>
<p>{{ friend.name | uppercase }}</p>
<p>{{ friend.name | lowercase }}</p>
-->
<h1>Friend Form</h1>
<form [formGroup]="friendForm">
  <div *ngIf="!isFriendAdded">
    <div class="field">
      <label> FriendName : </label>
      <!-- <input formControlName="name"> -->
      <!--input [ngModel]="friend.name" formControlName="FriendName" name="fname">-->
      <input [(ngModel)]="newFriend.name" formControlName="name">
    </div>
    <div class="field">
      <label> Email : </label>
      <!-- <input formControlName="email"> -->
      <!-- <input [ngModel]="friend.email" formControlName="FriendEmail"> -->
      <input [(ngModel)]="newFriend.email" formControlName="email">
    </div>
    <div class="field">
      <label> Age : </label>
      <!-- <input formControlName="age"> -->
      <!-- <input [ngModel]="friend.age" formControlName="FriendAge"> -->
      <input [(ngModel)]="newFriend.age" formControlName="age">
    </div>

    <div *ngIf="!editFriend">
      <button class="button is-success" [disabled]="friendForm.invalid" type="submit" (click)="addFriend()">Add New Friend</button>
    </div>
    <div *ngIf="editFriend">
      <button class="button is-success" (click)="updateAFriend()">Update this Friend</button>
    </div>
  </div>

  <div *ngIf="isFriendAdded">
    <h3>New Friend added...</h3>
      <button class="button is-success" (click)="newFriendAdded()"> + Add more friend</button>
  </div>

</form>
<!--
<p><b>Retrieve values from the form: </b> <br/>
  {{ friendForm.value | json }}  <br/>
  {{ friendForm.get('FriendName')?.value }} <br/>
  {{ friendForm.get('FriendEmail')?.value }}  <br/>
  {{ friendForm.get('FriendAge')?.value }}
</p>

<p><b>Retrieve values from the data model:</b> <br/>
  {{ friend.name }} <br/>
  {{ friend.email }} <br/>
  {{ friend.age }}
</p>
-->

<table>
  <thead>
    <tr>
      <th>#</th><th>Name</th><th>Email</th><th>Age</th><th>Action</th>
    </tr>
  </thead>

  <tbody>
    <tr *ngFor="let f of friends">
      <td>{{ f.id }} </td>
      <td><b> {{ f.name }} </b></td>
      <td>{{ f.email }} </td>
      <td>{{ f.age }} </td>
      <td>
        <!-- <button type="button" class="button is-danger" routerLink="/friends/{{ f.id }}">Edit</button> -->
        <button type="button" class="button is-danger" (click)="updateFriendClick(f.id)">Edit</button>
        <button type="button" class="button is-warning" (click)="deleteFriend(f.id)">Delete</button>
      </td>
    </tr>
  </tbody>
</table>


